#import <iostream>
#import <cmath>
using namespace std;

int main(){
    int n;
    cin >> n;
    int x[n];
    int y[n];
    for(int i = 0; i < n; i++){
        cin >> x[i] >> y[i];
    }
    int velicina = ((n * (n - 1)) / 2);
    int duzi[velicina][2];
    int k = 0;
    for(int i = 0; i < n - 1; i++){
        for(int j = i + 1; j < n; j++){
            if(x[i] > x[j]){
                duzi[k][0] = x[i] - x[j];
                duzi[k][1] = y[i] - y[j];
            }else if(x[i] < x[j]){
                duzi[k][0] = x[j] - x[i];
                duzi[k][1] = y[j] - y[i];
            }else{
                duzi[k][0] = 0;
                duzi[k][1] = abs(y[j] - y[i]);
                
            }
            k++;
        }
    }
    int trapezi = 0;
    for(int i = 0; i < velicina - 1; i++){
        for(int j = i + 1; j < velicina; j++){
            if(duzi[i][0] == (duzi[j][0] * 2) and duzi[i][1] == (duzi[j][1] * 2)){
                trapezi++;
            }else if(duzi[j][0] == (duzi[i][0] * 2) and duzi[j][1] == (duzi[i][1] * 2)){
                trapezi++;
            }
        }
    }
    cout << trapezi;
}